Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004904TestLinkBug Tracking Systems Integrationpublic2012-02-03 04:292014-08-19 19:45
Reporterdndzl 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0004904: integrate with ITS on test project basis
DescriptionSome times different projects use different Issue tracking systems. It will be much more flexible if TL can support ITS integration on test project basis (different project can use different bug tracking system)
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
parent of 0005172closedfman execHistory.php refactor due to integrate with ITS on test project basis 

-  Notes
(0016323)
fman (administrator)
2012-02-03 14:42

this feature is not on our current roadmap.
we can consider any kind of user contribution
(0016400)
fman (administrator)
2012-02-19 15:30
edited on: 2012-02-19 15:31

wip part 1
1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/1e831b89600b8a8616d9a26080af68a2d7c93cdf [^]

(0016447)
fman (administrator)
2012-03-11 16:56

wip part 5
http://gitorious.org/testlink-ga/testlink-code/commit/bea5d230a26c6151a1ee784f29378f84d7f3d6c7 [^]
(0016448)
fman (administrator)
2012-03-11 22:33

wip part 6
http://gitorious.org/testlink-ga/testlink-code/commit/8a8877d763fd358d5a0f87a74497070f26290359 [^]
(0017133)
fman (administrator)
2012-08-20 14:17
edited on: 2012-08-26 14:20

Adding issues on Exec Feature:
mantis via SOAP - OK - 20120820
mantis via DB - OK - 20120820
yourtrack via REST -
bugzilla via XMLRPC - OK - 20120821
bugzilla via DB - OK - 20120821
redmine via REST -
jira via SOAP
jira via DB
gforge via SOAP
gforge via DB
fogbugz via REST
fogbugz via DB - OK - 20120822
trac via XMLRPC - OK - 20120826


- Issue History
Date Modified Username Field Change
2012-02-03 04:29 dndzl New Issue
2012-02-03 14:42 fman Note Added: 0016323
2012-02-19 15:26 fman Summary integrate with BTS on project basis => integrate with ITS on test project basis
2012-02-19 15:26 fman Description Updated View Revisions
2012-02-19 15:30 fman Note Added: 0016400
2012-02-19 15:31 fman Note Edited: 0016400 View Revisions
2012-03-11 16:55 fman Note View State: 0016400: public
2012-03-11 16:56 fman Note Added: 0016447
2012-03-11 22:33 fman Assigned To => fman
2012-03-11 22:33 fman Status new => assigned
2012-03-11 22:33 fman Note Added: 0016448
2012-04-08 09:25 fman Product Version => 1.9.3 (2011 Q3 - bug fixing)
2012-04-14 17:45 fman Status assigned => work in progress
2012-08-20 14:17 fman Note Added: 0017133
2012-08-20 14:17 fman Note Edited: 0017133 View Revisions
2012-08-20 16:30 fman Note Edited: 0017133 View Revisions
2012-08-21 17:52 fman Note Edited: 0017133 View Revisions
2012-08-21 17:59 fman Note Edited: 0017133 View Revisions
2012-08-22 07:30 fman Note Edited: 0017133 View Revisions
2012-08-24 07:38 fman Issue cloned: 0005172
2012-08-24 07:38 fman Relationship added parent of 0005172
2012-08-26 14:20 fman Note Edited: 0017133 View Revisions
2014-08-19 19:44 fman Status work in progress => acknowledged
2014-08-19 19:45 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-08-19 19:45 fman Status acknowledged => closed
2014-08-19 19:45 fman Resolution open => fixed
2014-08-19 19:45 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker